Subject: RE: [midcom] Protocol Eval: 2.1.3 Middlebox can relate to multipl e Agents

From: "Cedric Aoun" <[email-masked]>
Date: Thu, 27 Jun 2002 14:16:18 +0200

Martin,
My statement for COPS against the compliance to req 2.1.3 is accurate, the
COPS protocol doesn't preclude having several PEPs on the same machine. The
COPS protocol specification defines only the client server protocol and not
where the clients are hosted.
Cedric 

-----Original Message-----
From: Martin Stiemerling [mailto:[email-masked]]
Sent: 27 June 2002 10:01
To: Aoun, Cedric [QPD:MA01:EXCH]
Cc: Barnes, Mary [NGC:B602:EXCH]; [email-masked]
Subject: Re: [midcom] Protocol Eval: 2.1.3 Middlebox can relate to
multipl e Agents

Cedric Aoun wrote:
> Martin,
> 2.1.3 says that the protocol must allow a Middle Box to communicate with 
> several agents
> It doesn't say anything about resource contention, resource contention 
> is hinted within
> requirement 2.2.7.
> Therefore the current compliancy in the document of both MEGACO and COPS 
> is correct.

No, it isn't. In the COPS way it should be mentioned clearly that this 
'T' status holds only true for COPS-PR. To lump COPS and COPS-PR always 
together might result in an unprecise statement about the applicability 
of COPS or COPS-PR as the MIDCOM protocol.
For MEGACO I have still my doubts about the VMG concept, but I see that 
Tom has sent an email wrt this.

> 
> The compliancy statements to 2.2.7 for COPS and MEGACO is correct it 
> states that
> the resource contention is solved by having local policies on the Middle 
> box, this was
> even the reached consensus that we had on the mailing list to solve 
> resource contention issues.
> 

Please see my answer to Mary's answer on this topic, it has been that I 
agree with the ranking. The wording should be changed to avoid confusion.

Martin

> IMO we should keep the current statements.
> 
> -----Original Message-----
> From: Martin Stiemerling [mailto:[email-masked]]
> Sent: 26 June 2002 10:16
> To: Barnes, Mary [NGC:B602:EXCH]
> Cc: [email-masked]
> Subject: Re: [midcom] Protocol Eval: 2.1.3 Middlebox can relate to
> multipl e Agents
> 
> 
> Mary Barnes wrote:
>  > Martin,
>  >
>  > We have talked about both of these before:
>  >
>  > For MEGACO, since we've not heard any response from the MEGACO 
> supporters
>  > substantiating that this VMG model (which is defined by MEGACO) is
>  > appropriately applied to this scenario, I propose that we change this 
> to a P
>  > (it had been a T/P in the last version and I had changed to P+ when 
> we added
>  > that new category).
> 
> Ok, I agree with changing this to a 'P'.
> For the MEGACO supporters: Can you please do a statement on this issue?
> 
>  >
>  > For COPS, again this was a T/P in the -00 version, and feedback on 
> the list
>  > indicated that this is compliant per RFC 3084 on COPS-PR, which 
> exlicitly
>  > mentions this:
>  > 
>
http://www1.ietf.org/mail-archive/working-groups/midcom/current/msg02312.htm

> 
>  > l
>  > (Note: my response to how this was handled in the updated document is 
> at:
>  > 
>
http://www1.ietf.org/mail-archive/working-groups/midcom/current/msg02334.htm

> 
>  > l )
> 
> Sorry for duplicating this thread.
> 
>  >
>  > What I would propose to clarify this one going forward is to add some 
> text
>  > that this is specific to COPS-PR.
> 
> Ok, that would be great, since only COPS-PR support this.
> 
>  >
>  > Mary.
>  >
>  > -----Original Message-----
>  > From: Martin Stiemerling [mailto:[email-masked]]
>  > Sent: Monday, June 24, 2002 6:52 AM
>  > To: [email-masked]
>  > Subject: [midcom] Protocol Eval: 2.1.3 Middlebox can relate to multiple
>  > Agents
>  >
>  >
>  > - MEGACO
>  >   There is editor's note about the VMG concept. Can somebody put some
>  > light on this issue, whether MEGACO can effectively work with multiple
>  > agents?
>  >
>  > - COPS
>  > The text says, that COPS specifies that one PEP uses only one PDP and
>  > that the use of multiple PDPs isn't precluded.
>  > But the only hint that I've found which allows a PEP to communicate
with
>  >   multiple PDPs is in RFC 2748, section 2.3 "Communication". This
>  > section says that PEPs that support several different client types can
>  > open several TCP connections to different PDPs. But in the case of only
>  > one client type, I seems that only one Agent can be reached.
>  >
>  > So my vote for COPS and section 2.1.3 is 'Failed', or is there any
trick
>  > of that I'm not aware?
>  >
> 
> 
> 
> -- 
> Martin Stiemerling
> 
> NEC Europe Ltd. -- Network Laboratories  [email-masked]
> IPv4: http://www.ccrle.nec.de  IPv6: http://www.ipv6.ccrle.nec.de
> 
> 
> _______________________________________________
> midcom mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/midcom
> 

-- 
Martin Stiemerling

NEC Europe Ltd. -- Network Laboratories  [email-masked]
IPv4: http://www.ccrle.nec.de  IPv6: http://www.ipv6.ccrle.nec.de

---

From: Martin Stiemerling <[email-masked]>
Date: Thu, 27 Jun 2002 16:35:14 +0200

Cedric Aoun wrote:
> Martin,
> My statement for COPS against the compliance to req 2.1.3 is accurate, 
> the COPS protocol doesn't preclude having several PEPs on the same 
> machine. The COPS protocol specification defines only the client server 
> protocol and not where the clients are hosted.
Cedric,

You're right. The COPS protocol doesn't preclude having several PEPs on 
the same machine.
But:
Section 2.1.3 on COPS says "An underlying resource management layer, 
outside the scope of the COPS framework, could be applied to provide any 
conflict resolution"
The problem:
When several PEPs are running on the same middlebox, and they all 
configure the middlebox, how to ensure a known and stable state and 
solve conflicts within COPS?
The proposed solution of section 2.1.3 isn't a solution, it just moves 
the problem into another layer.

Martin